Bug 1018006 - /usr/include/librepo/fastestmirror.h:26:24: fatal error: mirrorlist.h: No such file or directory
/usr/include/librepo/fastestmirror.h:26:24: fatal error: mirrorlist.h: No suc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: librepo (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 20:38 EDT by Rex Dieter
Modified: 2013-11-10 02:06 EST (History)
1 user (show)

See Also:
Fixed In Version: librepo-1.2.1-3.bc2c8a5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:06:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-10-10 20:38:35 EDT
Broken/missing headers, 
/usr/include/librepo/fastestmirror.h:26:24: fatal error: mirrorlist.h: No such file or directory

causes PackageKit build failure.
Comment 1 Rex Dieter 2013-10-10 20:48:28 EDT
working on quick patch...
Comment 2 Rex Dieter 2013-10-10 20:50:58 EDT
Oh, tested librepo-1.2.1-2.fc20.x86_64 by the way...
Comment 3 Fedora Update System 2013-10-11 14:24:42 EDT
librepo-1.2.1-3.bc2c8a5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/librepo-1.2.1-3.bc2c8a5.fc20
Comment 4 Fedora Update System 2013-10-11 22:26:34 EDT
Package librepo-1.2.1-3.bc2c8a5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing librepo-1.2.1-3.bc2c8a5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18938/librepo-1.2.1-3.bc2c8a5.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-10 02:06:52 EST
librepo-1.2.1-3.bc2c8a5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.